Cannot start dansguardian [SOLVED]



  • Hi all!

    After I upgraded pfsense to 2.0.3 yesterday I cannot start dansguardian.

    I have tried to reinstall the package (removed snort aswell) but I cant get it to start.

    This is from the system log:
    php: : The command '/usr/local/etc/rc.d/dansguardian.sh start' returned exit code '1', the output was 'kern.ipc.somaxconn: 16384 -> 16384 kern.maxfiles: 131072 -> 131072 kern.maxfilesperproc: 104856 -> 104856 kern.threads.max_threads_per_proc: 4096 -> 4096 Starting dansguardian. /libexec/ld-elf.so.1: Shared object "libpcreposix.so.0" not found, required by "dansguardian" /usr/local/etc/rc.d/dansguardian.sh: WARNING: failed to start dansguardian'

    This is the output when executing 'dansguardian' from console:
    /libexec/ld-elf.se.1: Shared object "libpcreposix.so.0" not found, required by "dansguardian"

    Other installed packages:
    Dansguardian - 2.12.0.3 pkg v.0.1.7_3
    Open-VM-Tools - 8.7.0.3046 (build-425873)
    snort - 2.9.4.1 pkg v. 2.5.5
    squid - 2.7.9 pkg v.4.3.3

    Can anyone give me some pointers to what to do next?

    Cheers, Obbe



  • Solved it by removing all packages from pfsense and removed pcre-8.33 and pcre-8.32. Installed snort first, then dansguardian

    All good again


Log in to reply